API references
Search documentation... ⌘K
API references
Merchant API

List Exports

Returns a paginated list of all data exports for the authenticated merchant. Results are scoped to the data types (Payments, Payouts, Contacts) the user has permission to view.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-exports HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
per_page: number?,
after: string?,
before: string?,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started. Note that this endpoint returns a paginated response, see the Pagination section of the same guide.
Request arguments
per_page number

Optional. Number of exports to return per page (default: 25)

after string

Optional. Cursor for pagination - return exports created before this export ID

before string

Optional. Cursor for pagination - return exports created after this export ID

Response attributes
Attribute Description
export_id
string

The unique identifier of the export.

type
string

The type of data exported.

format
string

The file format of the export.

status
string

The current status of the export.

filters
object

The filters applied to the export.

download_url
string

The URL to download the exported file (available if status is completed).

failure_message
string

The error message if the export failed.

created_at
number

The timestamp when the export was requested.

requester_id
string

The unique identifier of the user who requested the export.

requester_email
string

The email address of the user who requested the export.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.